
Summary: Super NES emulator
Name: snes9x
Version: 1.60
Release: %mkrel 1
Group: Emulators
License: BSD-style
URL: https://github.com/snes9xgit/snes9x
Source: %{name}-%{version}.tar.xz
Patch0:	snes9x-1.60-soundsync.patch	
Patch1: snes9x-1.60-gcc11.patch
#-----------------------------------------------------

BuildRequires:  intltool
BuildRequires:  meson
BuildRequires:  nasm
BuildRequires:  %{_lib}alsa2-devel
BuildRequires:  %{_lib}epoxy-devel
BuildRequires:  %{_lib}png-devel 
BuildRequires:  %{_lib}pulseaudio-devel
BuildRequires:  %{_lib}xml2-devel 
BuildRequires:  mesa-devel
BuildRequires:  %{_lib}glib2.0-devel
BuildRequires:  %{_lib}gtk+3.0-devel
BuildRequires:  zlib1-devel
BuildRequires:  %{_lib}portaudio-devel 
BuildRequires:  %{_lib}sdl2.0-devel
BuildRequires:   x11-proto-devel 
BuildRequires:  %{_lib}xext-devel
BuildRequires:  %{_lib}xrandr2-devel
BuildRequires:  %{_lib}xv-devel 
BuildRequires:  libstdc++-devel 

#--------------------------------------------------------
Provides: snes9x-common
Obsoletes: snes9x-common
Provides: snes9x-X
Obsoletes: snes9x-X
Provides: snes9x-binary

%description
Snes9X is a portable, freeware Super Nintendo Entertainment System (SNES)
emulator. It basically allows you to play most games designed for the SNES
and Super Famicom Nintendo game systems on your PC or Workstation.

%prep
%setup
%patch0 -p1
%patch1 -p1


%build
# Build CLI version
pushd unix
./configure \
--prefix=%_bindir \
--enable-netplay
%make_build
popd

#build GTK version
pushd gtk
%meson
#meson_build
meson build --prefix=/usr --buildtype=release --strip
popd

%install
# Install CLI version
%__install -Dp -m 0755 unix/%name %buildroot%_bindir/%name

# Install GTK version
pushd gtk
%meson_install
%find_lang %name-gtk
popd

desktop-file-install --vendor="" \
--remove-category="Application" \
--add-category="X-MandrivaLinux-MoreApplications-Emulators" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

%clean

rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files 
%doc unix/docs/readme_unix.html
%{_bindir}/*
%{_datadir}/*
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog

* Tue Sep 7 2021 Agent Smith <ruidobranco@yahoo.com.br> 1.60-1pclos2021
- Updated with latest sources.
- Added meson build
- Added snes9x-1.60-soundsync.patch (from Opensuse)
- Added snes9x-1.60-gcc11.patch, otherwise it does not compile (from Opensuse)

* Fri Jul 10 2015 bb <bb> 1.53-1pclos2015
- update for 2015
